// shoppingGuid/page/pages/enlistInfo/enlistInfo.js
const wxService = require('../../../../utils/wxService')
wxService.page({

  /**
   * 页面的初始数据
   */
  data: {
    enlistList: null
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },
  //回访
  onTapRecall(e) {
    const currentEnv = wx.getStorageSync('_qyWeChat');
    // wmfen5DwAA5WDE7CBEa_qgIva_cUlAyw 杨辰的外部联系人userid

    if (currentEnv) {
      let guidInfo = wx.getStorageSync('guidBaseInfo'),
        guidQiyeUserId = guidInfo.member.qiyeInfo.userid;

      let qiyeExternalUserid = e.currentTarget.dataset.item.qiyeExternalUserid;
      if (!qiyeExternalUserid) {
        wx.showToast({
          title: '该会员还不是您的好友，请先加好友！',
          icon: 'none'
        });
        return;
      }

      wx.qy.openEnterpriseChat({
        userIds: guidQiyeUserId,    //参与会话的企业成员列表，格式为userid1;userid2;...，用分号隔开。
        externalUserIds: qiyeExternalUserid, // 参与会话的外部联系人列表，格式为userId1;userId2;…，用分号隔开。
        groupName: '',  // 必填，会话名称。单聊时该参数传入空字符串""即可。
        success: function (res) {
        },
        fail: function (res) {
          // 失败处理
          wx.showToast({
            title: '创建会话失败，请稍后再试！',
            icon: 'none'
          });
        }
      });

    } else {
      wx.showToast({
        title: '请在企业微信中使用',
        icon: 'none'
      });
    }
  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    let taskId = this.options && this.options.id || 0
    let orderType = this.options && this.options.type || 2
    this.getTaskDetail(orderType, taskId)
  },
  //获取任务详情
  getTaskDetail(orderType, taskId) {
    wx.showLoading({
      title: '加载中'
    })
    wxService.post(`/marketing/shoppingguide/task/detail?orderType=${orderType}&taskId=${taskId}`).then(res => {
      if (res) {
        const { result, data } = res.data
        if (result == 0) {
          wx.hideLoading()
          if (data.task.startTime) {
            data.task.startTime = data.task.startTime.replace(/\-/g, '/');
          }
          if (data.task.endTime) {
            data.task.endTime = data.task.endTime.replace(/\-/g, '/');
          }

          let curStart = new Date(data.task.startTime)
          let curEnd = new Date(data.task.endTime)
          data.task.startTime = `${curStart.getMonth() + 1}月${curStart.getDate()}日`
          data.task.endTime = `${curEnd.getMonth() + 1}月${curEnd.getDate()}日`

          this.setData({
            enlistList: data || {}
          })
        }
      }
    })
  },
  //跳转到活动说明界面
  onTapToNotice() {
    let taskId = this.options && this.options.id || 0
    let orderType = this.options && this.options.type || 1;

    wx.navigateTo({
      url: `/shoppingGuid/page/pages/taskNotice/taskNotice?id=${taskId}&type=${orderType}`,
    });
  }
})